GAMETypePropHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.GAMETypePropHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMETypePropHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.utils.stax.StringElementHandlerBase
              org.biojava.bio.seq.io.game.GAMETypePropHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMETypePropHandler

extends StringElementHandlerBase

StAX handler for GAME <type> elements. derived from Thomas Down's PropDetailHandler

Since:
  1.8
Author:
  David Huen, Thomas Down

Field Summary
`static StAXHandlerFactory` | `GAME_TYPE_PROP_HANDLER_FACTORY`

Constructor Summary
`GAMETypePropHandler(StAXFeatureHandler staxenv)`

Method Summary
`protected void` | `setStringValue(String s)` Override this method to do something useful with the string we collect.
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StringElementHandlerBase
`characters, endElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_TYPE_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_TYPE_PROP_HANDLER_FACTORY

Constructor Detail

### GAMETypePropHandler

    public GAMETypePropHandler(StAXFeatureHandler staxenv)

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StringElementHandlerBase`
  Throws:
    `SAXException`

### setStringValue

    protected void setStringValue(String s)
                           throws SAXException

  Description copied from class: `StringElementHandlerBase`
  Override this method to do something useful with the string we collect. Maybe we should do this by delegation rather than extension.

  Specified by:
    `setStringValue` in class `StringElementHandlerBase`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD